## Package org.codehaus.groovy.tools.shell.util

Utility classes related to the Groovy Shell (aka.

See:
Description

Class Summary
ANSI: Provides support for using ANSI color escape codes.
ANSI.Buffer
ANSI.Code
ANSI.Renderer
ANSI.RenderMessageSource
ANSI.RenderWriter
Logger: Provides a very, very basic logging API.
MessageSource: Message source backed up by one or more `ResourceBundle` instances for simple i18n support.
NoExitSecurityManager: Custom security manager to `System.exit(int)` (and related) from being used.
Preferences: Container for shell preferences.
SimpleCompletor: Support for simple completors.

Exception Summary
ANSI.Renderer.RenderException

## Package org.codehaus.groovy.tools.shell.util Description

Utility classes related to the Groovy Shell (aka. `groovysh`).

Copyright © 2003-2008 The Codehaus. All rights reserved.